@import "../../scss/colors.scss";

@mixin user-styles() {
  .noku-library-user {
    display: flex;
    align-items: center;
    position: relative;

    .avatar {
      width: 36px;
      height: 36px;
      min-width: 36px;
      min-height: 36px;
      background-position: center center;
      background-size: cover;
      border-radius: 100%;
      box-shadow: 0 1px 8px -1px rgba(0, 0, 0, .2);
      margin-right: 16px;
    }

    .arrow {
      color: rgba($color: $primary-500, $alpha: 0.7);
      font-size: 14px;
      transition: all .2s;
      transform: rotate(0);
    }

    .dropdown {
      opacity: 0;
      pointer-events: none;
      visibility: hidden;
      transition: all 0.2s;
      position: absolute;
      top: 50px;
      right: 0;
      z-index: 9999;
      min-width: 280px;
      max-width: 360px;
      background-color: $white;
      border: 1px solid $grey300;
      padding: 16px;
      box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .1);
      border-radius: 6px;
      font-size: 14px;
      box-sizing: border-box;

      .user-info {
        display: flex;
        align-items: center;
        color: $grey700;
        margin-bottom: 16px;

        .avatar {
          margin: 0;
        }
        
        .nickname-and-email {
          flex: 1 1 auto;
          box-sizing: border-box;
          padding: 0 8px;
          overflow: hidden;
          white-space: nowrap;
          text-overflow: ellipsis;

          .email {
            font-weight: 300;
          }

          .nickname, .email {
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }

        .kyc-image {
          width: 30px;
          height: auto;
        }
      }

      .kyc-block {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: $green-100;
        color: $green-600;
        cursor: pointer;
        padding: 8px;
        border-radius: 4px;
        text-decoration: none;
        margin-bottom: 8px;

        .chip {
          background-color: $green-200;
          padding: 4px;
          border-radius: 4px;
        }
      }

      .menu-item {
        display: flex;
        font-weight: 400;
        cursor: pointer;
        text-decoration: none;
        padding: 0 8px;
        align-items: center;

        &.account-details {
          color: $grey700;
          .text {
            &::after {
              background-color: $grey700;
            }
          }
        }
        &.logout {
          color: $error700;
          .text {
            &::after {
              background-color: $error700;
            }
          }
        }

        .icon {
          font-size: 15px;
          margin-right: 14px;
        }

        .text {
          position: relative;
          $link-bottom-padding: 2px;

          &::after {
            content: "";
            position: absolute;
            bottom: -$link-bottom-padding;
            left: -4px;
            right: -4px;
            // background-color: $link-underline-color;
            height: 1px;
            border-radius: 3px;
            transition: transform 0.5s;
            transform: scaleX(0);
            transform-origin: center right;
          }

          &:hover {
            &::after {
              transform: scaleX(1);
              transform-origin: center left;
            }
          }
        }

      }

      .divider {
        margin: 8px -14px;
        color: $ink-200;
        border-top: 1px solid $ink-200;
      }

      &::before {
        content: "";
        position: absolute;
        left: 0;
        width: 100%;
        top: -50px;
        height: 50px;
      }
    }

    &:hover {
      .arrow {
        transform: rotate(-180deg);
      }

      .dropdown {
        opacity: 1;
        pointer-events: auto;
        visibility: visible;
        top: 65px;
      }
    }
  }
}